Status: Closed Start date: 2012-09-26

Priority: High Due date: 2012-11-10

Assignee: Skye Roseboom % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.44-Block.6.2   

Story Points:    

Description

This story captures the tasks needed to implement the new CN Query API methods.

This include query(), listQueryEngines(), getQueryEngineDescription() and associated REST endpoint implementations

Documentation:

http://epad.dataone.org/20120725-SearchAPI

http://mule1.dataone.org/ArchitectureDocs-current/apis/CN_APIs.html#module-CNRead

Subtasks:

Task # 3268: Add the CN Query API to d1_libclient_python classes Closed

Task # 3270: Modify architecture docs to include CN Query API methods Closed

Task # 3266: Add the CN Query API to d1_common_java interfaces Closed

Task # 3271: Modify architecture docs to include MN Query API methods Closed

Task # 3272: Add the MN Query API to d1_common_java interfaces Closed

Task # 3273: Add the MN Query API to d1_libclient_java classes Closed

Task # 3267: Add the CN Query API to d1_libclient_java classes Closed

Task # 3274: Add the MN Query API to d1_libclient_python classes Closed

Task # 3275: Implement CN /query/solr/queryString/ REST endpoint Closed

Task # 3276: Implement CN /query/ REST endpoint Closed

Task # 3284: write integration tests for query(), listQueryEngines(), describeQueryEngi... Closed

Task # 3282: merge schema 1.1 branch to trunk, repoint d1_common_java to it Closed

Task # 3277: Implement CN /query/solr/ REST endpoint Closed

Task # 3283: remove the "sortable" field in queryEngineDescription Rejected

Task # 3364: Rest API updates for /cn/query/solr/ Closed

History

#1 - 2012-09-27 00:26 - Chris Jones

- Subject changed from Implement CN Query API to Implement Query API

#2 - 2012-10-05 17:31 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-10-09 20:03 - Rob Nahf

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- Due date changed from 2012-10-06 to 2012-10-27

#4 - 2012-10-25 15:10 - Skye Roseboom

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#5 - 2012-12-12 18:27 - Skye Roseboom
- Status changed from In Progress to Closed

all subtasks closed.  moving story to closed.
